<?php
include("connect.php");
include("login_cookies.php");

$time = date("H:i:s d/m - Y");

while($admin = mysql_fetch_array($db_admin)) {

if ($_COOKIE["pass"] == $admin["kode"]) {

	if ($admin["exist"] == "1") {

	if ( $_GET["opret"] == "true") {

 if ($_POST["validate"] != $_SESSION[tjekcode]) {
print "<div style=\"color:#F00;\">Valideringskoden er ugyldig!</div>";
 } else {	
	
if ($_POST[header] == "" || $_POST[artiklen] == "" || $_POST[brodtekst] == "") {
header("Location: index.php?message=failure&errorid=27173");
} else {

$replace["header"] = str_replace("Ø", "&Oslash;", $_POST["header"]);
$replace["header"] = str_replace("ø", "&oslash;", $replace["header"]);
$replace["header"] = str_replace("Å", "&Aring;", $replace["header"]);
$replace["header"] = str_replace("å", "&aring;", $replace["header"]);
$replace["header"] = str_replace("Æ", "&Aelig;", $replace["header"]);
$replace["header"] = str_replace("æ", "&aelig;", $replace["header"]);

$replace["artiklen"] = str_replace("Ø", "&Oslash;", $_POST["artiklen"]);
$replace["artiklen"] = str_replace("ø", "&oslash;", $replace["artiklen"]);
$replace["artiklen"] = str_replace("Å", "&Aring;", $replace["artiklen"]);
$replace["artiklen"] = str_replace("å", "&aring;", $replace["artiklen"]);
$replace["artiklen"] = str_replace("Æ", "&Aelig;", $replace["artiklen"]);
$replace["artiklen"] = str_replace("æ", "&aelig;", $replace["artiklen"]);

$replace["brodtekst"] = str_replace("Ø", "&Oslash;", $_POST["brodtekst"]);
$replace["brodtekst"] = str_replace("ø", "&oslash;", $replace["brodtekst"]);
$replace["brodtekst"] = str_replace("Å", "&Aring;", $replace["brodtekst"]);
$replace["brodtekst"] = str_replace("å", "&aring;", $replace["brodtekst"]);
$replace["brodtekst"] = str_replace("Æ", "&Aelig;", $replace["brodtekst"]);
$replace["brodtekst"] = str_replace("æ", "&aelig;", $replace["brodtekst"]);

mysql_query("INSERT INTO `pytox_artikler` (`id`, `crew`, `show`, `udgivet`, `time`, `overskrift`, `artikel`, `brodtekst`, `forfatter`) VALUES ('', '0', '1', '0', '$time', '$replace[header]', '$replace[artiklen]', '$replace[brodtekst]', '$_COOKIE[user]')");

print "Artiklen er nu sendt ind til ventelisten, og vil forh&aring;bentligvis snart blive udgivet!<br />Tak for dit bidrag!";

}
}
} else {
?>
<form action="?site=Makeartikler&opret=true" method="post">
Overskrift: <input type="text" name="header" />
<br />
Brødtekst: <i>(Kort om artiklen, "Appetit vækker")</i>
<br />
<textarea name="brodtekst" cols="30" rows="7"></textarea>
<br />
Artiklen:
<br />
<textarea name="artiklen"  cols="70" rows="18"></textarea>
<br />
Forfatter: <input type="text" name="author" value="<?php print $_COOKIE["user"];?>" disabled="disabled">
<br />
<br />
<!-- VALIDATE! -->
<?php
$kode[1] = mt_rand(99999, 0);
$kode[2] = mt_rand(99999, 0);
$kode[3] = mt_rand(99999, 0);

if (strlen($kode[1]) == 5) {
$sikkerhedskode = $kode[1];

} else if (strlen($kode[2]) == 5) {
$sikkerhedskode = $kode[2];

} else if (strlen($kode[3]) == 5) {
$sikkerhedskode = $kode[3];

} else {
$sikkerhedskode = "ERROR!";

}

if ($_GET["func"] == "" && $_GET["new"] == "") {
							if ($sikkerhedskode == "ERROR!") {
$_SEESION[tjekcode] = "1615165151561561651651";
							} else {
$_SESSION[tjekcode] = $sikkerhedskode;
							}
} else {
$_SESSION[tjekcode] = "";
}
?>
Valideringskode:
<br />
<?php
if ($sikkerhedskode == "ERROR!") {
print "DER SKETE EN FEJL! \"ERROR!\" ER IKKE EN GYLDIG SIKKERHEDSKODE. Opdater eller prøv igen senere.<br />";
}
?>
<img class="blackborder" src="../../img.php?text=<?php print $sikkerhedskode; ?>" alt="Loading..." title="<?php print $sikkerhedskode; ?>" align="middle" /> = <input maxlength="5" type="text" name="validate" />
<!-- VALIDATE -->
<br />
<br />
<input type="submit" name="submit" value="Skriv!" class="submit" />
</form>
<?php
}

} else {
header("Location: index.php?message=failure&errorid=60065");
}



}

}
?>